package com.fjhx.victoriatourist.controller.excess;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.excess.dto.ExcessGoodsRegisterDto;
import com.fjhx.victoriatourist.entity.excess.dto.ExcessGoodsRegisterSelectDto;
import com.fjhx.victoriatourist.entity.excess.vo.ExcessGoodsRegisterVo;
import com.fjhx.victoriatourist.service.excess.ExcessGoodsRegisterService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 多货登记临时表 前端控制器
 * </p>
 *
 * @author 
 * @since 2024-03-27
 */
@RestController
@RequestMapping("/excessGoodsRegister")
public class ExcessGoodsRegisterController {

    @Autowired
    private ExcessGoodsRegisterService excessGoodsRegisterService;

    /**
     * 多货登记临时表列表
     */
    @PostMapping("/list")
    public List<ExcessGoodsRegisterVo> list(@RequestBody ExcessGoodsRegisterSelectDto dto) {
        return excessGoodsRegisterService.getList(dto);
    }

    /**
     * 多货登记临时表分页
     */
    @PostMapping("/page")
    public Page<ExcessGoodsRegisterVo> page(@RequestBody ExcessGoodsRegisterSelectDto dto) {
        return excessGoodsRegisterService.getPage(dto);
    }

    /**
     * 多货登记临时表明细
     */
    @PostMapping("/detail")
    public ExcessGoodsRegisterVo detail(@RequestBody BaseSelectDto dto) {
        return excessGoodsRegisterService.detail(dto.getId());
    }

    /**
     * 多货登记临时表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ExcessGoodsRegisterDto excessGoodsRegisterDto) {
        excessGoodsRegisterService.add(excessGoodsRegisterDto);
    }

    /**
     * 多货登记临时表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ExcessGoodsRegisterDto excessGoodsRegisterDto) {
        excessGoodsRegisterService.edit(excessGoodsRegisterDto);
    }

    /**
     * 多货登记临时表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        excessGoodsRegisterService.delete(dto.getId());
    }

}
