package com.fjhx.wms.entity.stock.dto;

import com.fjhx.wms.entity.stock.po.StockWait;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 待出入库新增编辑入参实体
 *
 * @author
 * @since 2023-03-22
 */
@Getter
@Setter
public class StockWaitDto extends StockWait {

    /**
     * 入库仓库id
     */
    private Long warehouseId;

    /**
     * 待入库明细列表
     */
    private List<StockWaitDetailsDto> stockWaitDetailsList;

    /**
     * 物流公司编号
     */
    private String logisticsCompanyCode;

    /**
     * 物流编号
     */
    private String logisticsCode;

    /**
     * 国家表id
     */
    private Long countryId;

    /**
     * 省份id
     */
    private Long provinceId;

    /**
     * 城市id
     */
    private Long cityId;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 说明
     */
    private String remark;

    /**
     * 调出仓库id(京东订单)
     */
    private Long inWarehouseId;

    /**
     * 调入仓库id(京东订单)
     */
    private Long outWarehouseId;

    /**
     * 预约号(京东订单)
     */
    private String reservationCode;

    /**
     * 到货物流备注
     */
    private String arrivalRemark;

    /**
     * 预计送达时间
     */
    private Date deliveryTime;
}
